%define upstream_name Dist-Zilla-Role-RegisterStash
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    A plugin that can register stashes
License:    LGPLv2
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(Dist::Zilla) >= 4.300.0
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::Stash)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(aliased)
BuildRequires: perl(autobox::Core) >= 1.240.0
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Sometimes it's handy for a plugin to register a stash, and there's no
easy way to do that (without touching $self->zilla->_local_stashes or
somesuch).

This role provides a _register_stash() method to your plugin, allowing
you to register stashes. Yes, the leading underscore is intentional: the
purpose of this method is to allow the consuming plugin to register
stashes, not anyone else, so this method is private to the consumer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.3.0-8.mga9
+ Revision: 1817128
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-7.mga8
+ Revision: 1494411
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.3.0-6.mga7
+ Revision: 1267743
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-5.mga6
+ Revision: 1026706
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.3.0-4.mga6
+ Revision: 948353
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 748186
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.3.0-1.mga5
+ Revision: 624255
- update to 0.003

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-2.mga4
+ Revision: 529907
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 sander85 <sander85> 0.2.0-1.mga4
+ Revision: 454072
- imported package perl-Dist-Zilla-Role-RegisterStash

